## golang-google-api 0.0~git20150609

=== Makefile ===
API_JSON = $(wildcard */*/*-api.json)

# Download all API specifications and rebuild Go bindings.
# All downloaded files are cached in $TMPDIR for reuse with 'cached' below.
all: generator
	$(GOPATH)/bin/google-api-go-generator -cache=false -install -api=*

# Reuse cached API specifications in $TMPDIR and rebuild Go bindings.
cached: generator
	$(GOPATH)/bin/google-api-go-generator -cache=true -install -api=*

# Only rebuild Go bindings, do not modify API specifications.
# For every existing */*/*-api.json file, */*/*-gen.go will be built.
local: $(API_JSON:-api.json=-gen.go)

# Pattern rule for the 'local' target.
# Translates otherwise unnamed targets with a -gen.go suffix into the
# matching input file with a -api.json suffix. $< is the input file.
%-gen.go: %-api.json generator
	$(GOPATH)/bin/google-api-go-generator -api_json_file=$<

# Rebuild and install $(GOPATH)/bin/google-api-go-generator
generator:
	go install google.golang.org/api/googleapi
	go install google.golang.org/api/google-api-go-generator

.PHONY: all cached local generator

=== debian/changelog ===
golang-google-api (0.0~git20150609-1) unstable; urgency=medium

  * Initial release (Closes: #789252)

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 19 Jun 2015 09:35:07 +0200

=== debian/control ===
Source: golang-google-api
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-go.net-dev (>= 0.0+git20150226.3d87fd6),
               golang-golang-x-oauth2-dev
Standards-Version: 3.9.6
Homepage: http://google.golang.org/api
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-go/packages/golang-google-api.git;a=summary
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-google-api.git

Package: golang-google-api-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
         golang-go.net-dev (>= 0.0+git20150226.3d87fd6),
         golang-golang-x-oauth2-dev
Built-Using: ${misc:Built-Using}
Description: Google APIs Client Library
 These are auto-generated Go libraries from the Google Discovery Service's JSON
 description files of the available "new style" Google APIs.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOPKG := google.golang.org/api
# The example programs should not be compiled, and we are not interested in the
# generator itself either, only its output.
export DH_GOLANG_EXCLUDES := google.golang.org/api/google-api-go-generator google.golang.org/api/examples

%:
	dh $@ --buildsystem=golang --with=golang

## golang-google-api 0.0~git20160408

=== debian/changelog ===
golang-google-api (0.0~git20160408-2) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * Team upload.
  * Use debhelper v10
  * Build-Depends on golang-golang-x-net-dev instead of golang-go.net-dev
  * Use XS-Go-Import-Path in d/control
  * Switch to golang-any
  * Remove Built-Using
  * Remove Depends on golang-go for -dev package
  * Update team name

  [ Tim Potter ]
  * Add me to uploaders

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 14 Nov 2016 12:05:10 +0100

golang-google-api (0.0~git20160408-1) unstable; urgency=medium

  * Team upload.

  [ Tim Potter ]
  * New upstream snapshot (Closes: #822164)

  [ Daniel Stender ]
  * deb/control:
    + bumped standards to 3.9.8 (no changes needed).
    + changed Vcs-Git and Vcs-Browser.

 -- Daniel Stender <stender@debian.org>  Fri, 22 Apr 2016 23:41:02 +0200

=== debian/control ===
Source: golang-google-api
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Michael Stapelberg <stapelberg@debian.org>,
           Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-golang-x-net-dev,
               golang-golang-x-oauth2-dev
Standards-Version: 3.9.8
Homepage: https://google.golang.org/api
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-google-api.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-google-api.git
XS-Go-Import-Path: google.golang.org/api

Package: golang-google-api-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-golang-x-net-dev,
         golang-golang-x-oauth2-dev
Description: Google APIs Client Library
 These are auto-generated Go libraries from the Google Discovery Service's JSON
 description files of the available "new style" Google APIs.

## golang-google-api 0.0~git20161128.3cc2e59

=== debian/changelog ===
golang-google-api (0.0~git20161128.3cc2e59-2) unstable; urgency=medium

  * Team upload.
  * debian/rules:
    - Update changelog, disable failing tests.
      Cherry-pick the commit 321d760 by Martín Ferrari in master branch.
      (Closes: #860710)

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 27 Apr 2017 23:46:00 +0900

golang-google-api (0.0~git20161128.3cc2e59-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * debian/copyright: Point to actual git repo.
  * New upstream release.
  * Add new dependencies.

 -- Martín Ferrari <tincho@debian.org>  Fri, 02 Dec 2016 22:21:10 +0000

=== debian/control ===
Source: golang-google-api
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
           Tim Potter <tpot@hpe.com>,
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-golang-x-net-dev,
               golang-golang-x-oauth2-dev,
               golang-google-genproto-dev,
               golang-google-grpc-dev,
Standards-Version: 3.9.8
Homepage: https://google.golang.org/api
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-google-api.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-google-api.git
XS-Go-Import-Path: google.golang.org/api

Package: golang-google-api-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-golang-x-net-dev,
         golang-golang-x-oauth2-dev,
         golang-google-genproto-dev,
         golang-google-grpc-dev,
Description: Google APIs Client Library
 These are auto-generated Go libraries from the Google Discovery Service's JSON
 description files of the available "new style" Google APIs.

=== debian/rules ===
#!/usr/bin/make -f

# The example programs should not be compiled, and we are not interested in the
# generator itself either, only its output.
export DH_GOLANG_EXCLUDES := google.golang.org/api/google-api-go-generator google.golang.org/api/examples

override_dh_auto_test:
	# Tests currently fail.

%:
	dh $@ --buildsystem=golang --with=golang

## golang-google-api 0.0~git20170907.b1ecfb3

=== debian/changelog ===
golang-google-api (0.0~git20170907.b1ecfb3-1) unstable; urgency=medium

  [ Shengjing Zhu ]
  * Team upload
  * New upstream release
  * Drop old patches
  * Change priority to optional
  * Add golang-golang-x-oauth2-google-dev to Build-Depends
  * Enable tests

 -- Martín Ferrari <tincho@debian.org>  Wed, 13 Sep 2017 03:22:28 +0000

golang-google-api (0.0~git20170310.0.1202890e-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: Update Standards-Version (no changes).
  * debian/control: Mark package as autopkgtest-able.
  * debian/control: Remove references to obsolete golang-go.net-dev.
  * debian/copyright: Format uses http protocol instead of https.

 -- Martín Ferrari <tincho@debian.org>  Mon, 28 Aug 2017 03:08:56 +0000

golang-google-api (0.0~git20170310.0.1202890e-1) experimental; urgency=medium

  [ Martín Ferrari ]
  * Update version of dh-golang dependency (for XS-Go-Import-Path
    support).

  [ Michael Stapelberg ]
  * New upstream release.

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 13 Mar 2017 10:04:31 +0100

=== debian/control ===
Source: golang-google-api
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
           Tim Potter <tpot@hpe.com>,
Build-Depends: debhelper (>= 10),
               dh-golang (>= 1.10~),
               golang-any,
               golang-golang-x-net-dev,
               golang-golang-x-oauth2-dev,
               golang-golang-x-oauth2-google-dev (>=0.0~git20170901.d89af98),
               golang-google-genproto-dev,
               golang-google-grpc-dev,
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-google-api.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-google-api.git
Homepage: https://google.golang.org/api
XS-Go-Import-Path: google.golang.org/api
Testsuite: autopkgtest-pkg-go

Package: golang-google-api-dev
Architecture: all
Depends: golang-golang-x-net-dev,
         golang-golang-x-oauth2-dev,
         golang-golang-x-oauth2-google-dev (>=0.0~git20170901.d89af98),
         golang-google-genproto-dev,
         golang-google-grpc-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Google APIs Client Library
 These are auto-generated Go libraries from the Google Discovery Service's JSON
 description files of the available "new style" Google APIs.

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,10 @@
 # generator itself either, only its output.
 export DH_GOLANG_EXCLUDES := google.golang.org/api/google-api-go-generator google.golang.org/api/examples
 
+override_dh_auto_test: DH_GOLANG_EXCLUDES += google.golang.org/api/internal
 override_dh_auto_test:
-	# Tests currently fail.
+	# google.golang.org/internal is skiped since we don't have go-cmp yet
+	dh_auto_test
 
 %:
 	dh $@ --buildsystem=golang --with=golang

## golang-google-api 0.0~git20180916.19ff876

=== debian/changelog ===
golang-google-api (0.0~git20180916.19ff876-2) unstable; urgency=medium

  * Team upload.
  * Bump golang-golang-x-oauth2-google-dev version.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 21 Sep 2018 14:22:21 +0800

golang-google-api (0.0~git20180916.19ff876-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Martín Ferrari ]
  * debian/control: Add missing dependency.

  [ Shengjing Zhu ]
  * New upstream version git20180916.19ff876
  * Update debhelper and compat to 11.
  * Update team mail address to team+pkg-go@tracker.debian.org.
  * Update Standards-Version to 4.2.1. (no changes)
  * Add patch to remove OpenCensus support.
  * Add golang-github-google-go-cmp-dev to Build-Depends (used in test only)
  * Install extra file for testing.
  * Add debian/watch file.

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 20 Sep 2018 22:24:49 +0800

=== debian/control ===
Source: golang-google-api
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
           Tim Potter <tpot@hpe.com>,
Build-Depends: debhelper (>= 11),
               dh-golang (>= 1.10~),
               golang-any,
               golang-github-google-go-cmp-dev,
               golang-golang-x-net-dev,
               golang-golang-x-oauth2-dev,
               golang-golang-x-oauth2-google-dev (>=0.0~git20180821.d2e6202~),
               golang-golang-x-sync-dev,
               golang-google-genproto-dev,
               golang-google-grpc-dev,
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-google-api
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-google-api.git
Homepage: https://google.golang.org/api
XS-Go-Import-Path: google.golang.org/api
Testsuite: autopkgtest-pkg-go

Package: golang-google-api-dev
Architecture: all
Depends: golang-golang-x-net-dev,
         golang-golang-x-oauth2-dev,
         golang-golang-x-oauth2-google-dev (>=0.0~git20180821.d2e6202~),
         golang-golang-x-sync-dev,
         golang-google-genproto-dev,
         golang-google-grpc-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Google APIs Client Library
 These are auto-generated Go libraries from the Google Discovery Service's JSON
 description files of the available "new style" Google APIs.

=== debian/rules ===
#!/usr/bin/make -f

# The example programs should not be compiled, and we are not interested in the
# generator itself either, only its output.
export DH_GOLANG_EXCLUDES := google.golang.org/api/google-api-go-generator google.golang.org/api/examples

export DH_GOLANG_INSTALL_EXTRA := internal/service-account.json

%:
	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://code.googlesource.com/google-api-go-client \
  HEAD

## golang-google-api 0.1.0

=== debian/changelog ===
golang-google-api (0.1.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.4.0

 -- Drew Parsons <dparsons@debian.org>  Tue, 30 Jul 2019 16:50:50 +0800

golang-google-api (0.1.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 0.1.0
  * update source url to
    https://github.com/googleapis/google-api-go-client
  * drop patch 0001-remove-OpenCensus-support.patch
    (redundant, files no longer present)
  * Standards-Version: 4.3.0
  * debhelper compatibility level 12
    Build-Depends: debhelper-compat (= 12)
  * Depends, Build-Depends: golang-go.opencensus-dev

 -- Drew Parsons <dparsons@debian.org>  Sun, 05 May 2019 22:37:01 +0800

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Michael Stapelberg <stapelberg@debian.org>,
            Tim Potter <tpot@hpe.com>,
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-golang (>= 1.10~),
                golang-any,
                golang-github-google-go-cmp-dev,
@@ -15,7 +15,8 @@
                golang-golang-x-sync-dev,
                golang-google-genproto-dev,
                golang-google-grpc-dev,
-Standards-Version: 4.2.1
+               golang-go.opencensus-dev
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-google-api
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-google-api.git
 Homepage: https://google.golang.org/api
@@ -30,6 +31,7 @@
          golang-golang-x-sync-dev,
          golang-google-genproto-dev,
          golang-google-grpc-dev,
+         golang-go.opencensus-dev,
          ${misc:Depends},
          ${shlibs:Depends},
 Description: Google APIs Client Library

## golang-google-api 0.7.0

=== debian/changelog ===
golang-google-api (0.7.0-2build4) eoan; urgency=medium

  * No change rebuild against boostrapped package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Aug 2019 18:31:47 +0200

golang-google-api (0.7.0-2) unstable; urgency=medium

  * Remove empty debian/patches/series file
  * Tighten versioned dependencies according to go.mod
    to help mitigate failed tests on testing on debci

 -- Anthony Fok <foka@debian.org>  Wed, 07 Aug 2019 05:26:10 -0600

golang-google-api (0.7.0-1) unstable; urgency=medium

  * New upstream version v0.7.0
  * Add myself to the list of Uploaders
  * Update versioned dependencies: golang-golang-x-oauth2-google-dev
    (>= 0.0~git20190604.0f29369~) and golang-google-grpc-dev (>= 1.20.1~)

 -- Anthony Fok <foka@debian.org>  Thu, 01 Aug 2019 18:23:38 -0600

=== debian/control ===
Source: golang-google-api
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Anthony Fok <foka@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang (>= 1.10~),
               golang-any,
               golang-github-google-go-cmp-dev (>= 0.3.0~),
               golang-golang-x-oauth2-dev (>= 0.0~git20190604.0f29369~),
               golang-golang-x-oauth2-google-dev (>= 0.0~git20190604.0f29369~),
               golang-golang-x-sync-dev (>= 0.0~git20190423.1122301~),
               golang-google-genproto-dev (>= 0.0~git20190502.54afdca5~),
               golang-google-grpc-dev (>= 1.20.1~),
               golang-go.opencensus-dev (>= 0.21.0~)
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-google-api
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-google-api.git
Homepage: https://google.golang.org/api
XS-Go-Import-Path: google.golang.org/api
Testsuite: autopkgtest-pkg-go

Package: golang-google-api-dev
Architecture: all
Depends: golang-golang-x-oauth2-dev (>= 0.0~git20190604.0f29369~),
         golang-golang-x-oauth2-google-dev (>= 0.0~git20190604.0f29369~),
         golang-golang-x-sync-dev (>= 0.0~git20190423.1122301~),
         golang-google-genproto-dev (>= 0.0~git20190502.54afdca5~),
         golang-google-grpc-dev (>= 1.20.1~),
         golang-go.opencensus-dev (>= 0.21.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Google APIs Client Library
 These are auto-generated Go libraries from the Google Discovery Service's JSON
 description files of the available "new style" Google APIs.

## golang-google-api 0.15.0

=== debian/changelog ===
golang-google-api (0.15.0-1) unstable; urgency=medium

  * New upstream version 0.15.0
    - bundler: limit the total number of goroutines to HandlerLimit
      which fixes random FTBFS.  Thanks to Santiago Vila for the report,
      and to Eddie Scholtz for the fix.  (Closes: #927114)
  * Process debian/control with "cme fix dpkg"
    which also bumps Standards-Version to 4.5.0
  * Add dependency on golang-github-googleapis-gax-go-dev (>= 2.0.5~)
    as per go.mod

 -- Anthony Fok <foka@debian.org>  Wed, 26 Feb 2020 14:28:38 -0700

=== debian/control ===
Source: golang-google-api
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Anthony Fok <foka@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang (>= 1.10~),
               golang-any,
               golang-github-google-go-cmp-dev (>= 0.3.0~),
               golang-github-googleapis-gax-go-dev (>= 2.0.5~),
               golang-go.opencensus-dev (>= 0.21.0~),
               golang-golang-x-oauth2-dev (>= 0.0~git20190604.0f29369~),
               golang-golang-x-oauth2-google-dev (>= 0.0~git20190604.0f29369~),
               golang-golang-x-sync-dev (>= 0.0~git20190423.1122301~),
               golang-google-genproto-dev (>= 0.0~git20190502.54afdca5~),
               golang-google-grpc-dev (>= 1.20.1~)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-google-api
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-google-api.git
Homepage: https://google.golang.org/api
XS-Go-Import-Path: google.golang.org/api

Package: golang-google-api-dev
Architecture: all
Depends: golang-github-googleapis-gax-go-dev (>= 2.0.5~),
         golang-go.opencensus-dev (>= 0.21.0~),
         golang-golang-x-oauth2-dev (>= 0.0~git20190604.0f29369~),
         golang-golang-x-oauth2-google-dev (>= 0.0~git20190604.0f29369~),
         golang-golang-x-sync-dev (>= 0.0~git20190423.1122301~),
         golang-google-genproto-dev (>= 0.0~git20190502.54afdca5~),
         golang-google-grpc-dev (>= 1.20.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Google APIs Client Library
 These are auto-generated Go libraries from the Google Discovery Service's JSON
 description files of the available "new style" Google APIs.

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/golang-google-api-$1\.tar\.gz/" \
  https://github.com/googleapis/google-api-go-client/tags .*/v?(\d\S+)\.tar\.gz

## golang-google-api 0.21.0

=== debian/changelog ===
golang-google-api (0.21.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.21.0

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 15 Apr 2020 03:42:54 +0800

## golang-google-api 0.28.0

=== debian/changelog ===
golang-google-api (0.28.0-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Replaece dependency on golang-google-cloud-compute-metadata-dev
    with a local vendored copy fetched from cloud.google.com/go v0.56.0
    to break circular dependency
  * Skip vendored cloud.google.com/go/compute/metadata in TestLicense

 -- Anthony Fok <foka@debian.org>  Wed, 09 Dec 2020 10:32:30 -0700

golang-google-api (0.28.0-2) unstable; urgency=medium

  * Team upload.
  * Break circular dependency with golang-google-cloud-dev.
    It only needs golang-google-cloud-compute-metadata-dev.
    Closes: #971359
  * Add Rules-Requires-Root
  * Bump debhelper-compat to 13

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 29 Sep 2020 22:43:30 +0800

golang-google-api (0.28.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Depends: golang-google-cloud-dev (>= 0.56.0~),
    golang-go.opencensus-dev (>= 0.22.0~)
  * exclude google.golang.org/api/internal/kokoro/synth/sendpr
    (usr/bin/sendpr) from installation in -dev package

 -- Drew Parsons <dparsons@debian.org>  Mon, 28 Sep 2020 16:22:21 +0800

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang (>= 1.10~),
                golang-any,
                golang-github-google-go-cmp-dev (>= 0.3.0~),
                golang-github-googleapis-gax-go-dev (>= 2.0.5~),
-               golang-go.opencensus-dev (>= 0.21.0~),
+               golang-go.opencensus-dev (>= 0.22.0~),
                golang-golang-x-oauth2-dev (>= 0.0~git20190604.0f29369~),
                golang-golang-x-oauth2-google-dev (>= 0.0~git20190604.0f29369~),
                golang-golang-x-sync-dev (>= 0.0~git20190423.1122301~),
@@ -22,12 +22,13 @@
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-google-api
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-google-api.git
 Homepage: https://google.golang.org/api
+Rules-Requires-Root: no
 XS-Go-Import-Path: google.golang.org/api
 
 Package: golang-google-api-dev
 Architecture: all
 Depends: golang-github-googleapis-gax-go-dev (>= 2.0.5~),
-         golang-go.opencensus-dev (>= 0.21.0~),
+         golang-go.opencensus-dev (>= 0.22.0~),
          golang-golang-x-oauth2-dev (>= 0.0~git20190604.0f29369~),
          golang-golang-x-oauth2-google-dev (>= 0.0~git20190604.0f29369~),
          golang-golang-x-sync-dev (>= 0.0~git20190423.1122301~),

=== debian/rules ===
#!/usr/bin/make -f

# The example programs should not be compiled, and we are not interested in the
# generator itself either, only its output.
export DH_GOLANG_EXCLUDES := google.golang.org/api/google-api-go-generator google.golang.org/api/examples google.golang.org/api/internal/kokoro/synth/sendpr

export DH_GOLANG_INSTALL_EXTRA := internal/service-account.json

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_after_dh_auto_configure:
	cp -av $(CURDIR)/debian/go/src _build/src/google.golang.org/api/vendor

## golang-google-api 0.45.0

=== debian/changelog ===
golang-google-api (0.45.0-1) unstable; urgency=medium

  * New upstream version 0.45.0
  * debian/watch: Use api.github.com to fetch older versions
    which are no longer listed on the first page of releases/tags
  * Update versioned dependencies as per go.mod as much as currently possible
  * Add patch to disable idtoken integration test as no credential file
    GOOGLE_APPLICATION_CREDENTIALS is provided for Debian build

 -- Anthony Fok <foka@debian.org>  Sun, 05 Sep 2021 00:47:21 -0600

golang-google-api (0.40.0-1) unstable; urgency=medium

  * New upstream version 0.40.0
  * Change Section from devel to golang
  * Bump Standards-Version to 4.6.0 (no change)
  * Mark library package with "Multi-Arch: foreign"
  * Update versioned dependencies as per go.mod as much as currently possible

 -- Anthony Fok <foka@debian.org>  Sat, 04 Sep 2021 06:36:06 -0600

=== debian/control ===
Source: golang-google-api
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Anthony Fok <foka@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang (>= 1.10~),
               golang-any,
               golang-github-google-go-cmp-dev (>= 0.5.5),
               golang-github-googleapis-gax-go-dev (>= 2.0.5),
               golang-go.opencensus-dev (>= 0.23.0),
               golang-golang-x-net-dev (>= 1:0.0+git20210316.d523dce),
               golang-golang-x-oauth2-dev (>= 0.0~git20210413.5e61552),
               golang-golang-x-oauth2-google-dev (>= 0.0~git20210413.5e61552),
               golang-golang-x-sync-dev (>= 0.0~git20210220.036812b),
               golang-google-cloud-compute-metadata-dev (>= 0.56.0),
               golang-google-genproto-dev,
               golang-google-grpc-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-google-api
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-google-api.git
Homepage: https://google.golang.org/api
Rules-Requires-Root: no
XS-Go-Import-Path: google.golang.org/api

Package: golang-google-api-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-google-go-cmp-dev (>= 0.5.5),
         golang-github-googleapis-gax-go-dev (>= 2.0.5),
         golang-go.opencensus-dev (>= 0.23.0),
         golang-golang-x-net-dev (>= 1:0.0+git20210316.d523dce),
         golang-golang-x-oauth2-dev (>= 0.0~git20210413.5e61552),
         golang-golang-x-oauth2-google-dev (>= 0.0~git20210413.5e61552),
         golang-golang-x-sync-dev (>= 0.0~git20210220.036812b),
         golang-google-cloud-compute-metadata-dev (>= 0.56.0),
         golang-google-genproto-dev,
         golang-google-grpc-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Google APIs Client Library
 These are auto-generated Go libraries from the Google Discovery Service's JSON
 description files of the available "new style" Google APIs.

## golang-google-api 0.51.0

=== debian/changelog ===
golang-google-api (0.51.0-1) unstable; urgency=medium

  * New upstream version 0.51.0
  * Update versioned dependencies as per go.mod as much as currently possible
  * debian/rules: Add "-short" flag to "go test" to skip integration tests
    which require a Service Account Key File from a Google Cloud project
  * Revert "Add patch to disable idtoken integration test" which is no longer
    necessary with "go test -short"

 -- Anthony Fok <foka@debian.org>  Thu, 28 Oct 2021 23:40:47 -0600

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,14 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang (>= 1.10~),
                golang-any,
-               golang-github-google-go-cmp-dev (>= 0.5.5),
+               golang-github-google-go-cmp-dev (>= 0.5.6),
                golang-github-googleapis-gax-go-dev (>= 2.0.5),
                golang-go.opencensus-dev (>= 0.23.0),
-               golang-golang-x-net-dev (>= 1:0.0+git20210316.d523dce),
-               golang-golang-x-oauth2-dev (>= 0.0~git20210413.5e61552),
-               golang-golang-x-oauth2-google-dev (>= 0.0~git20210413.5e61552),
+               golang-golang-x-net-dev (>= 1:0.0+git20210503.7fd8e65),
+               golang-golang-x-oauth2-dev (>= 0.0~git20210628.a41e5a7),
+               golang-golang-x-oauth2-google-dev (>= 0.0~git20210628.a41e5a7),
                golang-golang-x-sync-dev (>= 0.0~git20210220.036812b),
+               golang-golang-x-sys-dev (>= 0.0~git20210630.0f9fa26),
                golang-google-cloud-compute-metadata-dev (>= 0.56.0),
                golang-google-genproto-dev,
                golang-google-grpc-dev
@@ -30,13 +31,14 @@
 Package: golang-google-api-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-google-go-cmp-dev (>= 0.5.5),
+Depends: golang-github-google-go-cmp-dev (>= 0.5.6),
          golang-github-googleapis-gax-go-dev (>= 2.0.5),
          golang-go.opencensus-dev (>= 0.23.0),
-         golang-golang-x-net-dev (>= 1:0.0+git20210316.d523dce),
-         golang-golang-x-oauth2-dev (>= 0.0~git20210413.5e61552),
-         golang-golang-x-oauth2-google-dev (>= 0.0~git20210413.5e61552),
+         golang-golang-x-net-dev (>= 1:0.0+git20210503.7fd8e65),
+         golang-golang-x-oauth2-dev (>= 0.0~git20210628.a41e5a7),
+         golang-golang-x-oauth2-google-dev (>= 0.0~git20210628.a41e5a7),
          golang-golang-x-sync-dev (>= 0.0~git20210220.036812b),
+         golang-golang-x-sys-dev (>= 0.0~git20210630.0f9fa26),
          golang-google-cloud-compute-metadata-dev (>= 0.56.0),
          golang-google-genproto-dev,
          golang-google-grpc-dev,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,8 @@
 export DH_GOLANG_INSTALL_EXTRA := internal/service-account.json
 
 %:
-	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
+	dh $@ --buildsystem=golang --with=golang
 
-execute_after_dh_auto_configure:
-	cp -av $(CURDIR)/debian/go/src _build/src/google.golang.org/api/vendor
+# Skip integration tests which require some Service Account Key File
+override_dh_auto_test:
+	dh_auto_test -- -short

## golang-google-api 0.61.0

=== debian/changelog ===
golang-google-api (0.61.0-4) unstable; urgency=medium

  * Fix patch to be compatible with old golang-golang-x-oauth2 version

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 05 Jan 2024 03:46:15 +0800

golang-google-api (0.61.0-3) unstable; urgency=medium

  * Team upload.
  * Reupload as the previous version conflicts with other sponsors.
  * Use less strict version dependencies to ease testing migration.

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 04 Jan 2024 21:27:05 +0800

golang-google-api (0.61.0-2) unstable; urgency=medium

  * Team upload.

  [ M Hickford ]
  * Backport patch to fix test with golang-golang-x-oauth2 >= 0.13
    (Closes: #1058532)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 04 Jan 2024 21:03:29 +0800

golang-google-api (0.61.0-1) unstable; urgency=medium

  * New upstream version 0.61.0
  * Update versioned dependencies as per go.mod as much as currently possible
  * Reorder fields in debian/control and debian/copyright
    as would be generated in the next dh-make-golang release after 0.6.0-1
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Add explicit build-dependency on dh-golang (>= 1.53~)
    which fixes an error in "no non-test Go files" path removal logic so
    that integration-tests/downscope (which follows integration-tests/byoid)
    does get removed from the build target list.

 -- Anthony Fok <foka@debian.org>  Thu, 16 Dec 2021 14:03:56 -0700

=== debian/control ===
Source: golang-google-api
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Anthony Fok <foka@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-golang (>= 1.53~),
               dh-sequence-golang,
               golang-any,
               golang-github-google-go-cmp-dev (>= 0.5.6),
               golang-github-googleapis-gax-go-dev (>= 2.0.5),
               golang-go.opencensus-dev (>= 0.23.0),
               golang-golang-x-net-dev (>= 1:0.0+git20210503.7fd8e65),
               golang-golang-x-oauth2-dev (>= 0.0~git20211104.d3ed0bb),
               golang-golang-x-oauth2-google-dev (>= 0.0~git20211104.d3ed0bb),
               golang-golang-x-sync-dev (>= 0.0~git20210220.036812b),
               golang-golang-x-sys-dev (>= 0.0~git20211124.fe61309),
               golang-google-cloud-compute-metadata-dev (>= 0.56.0),
               golang-google-genproto-dev,
               golang-google-grpc-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-google-api
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-google-api.git
Homepage: https://google.golang.org/api
XS-Go-Import-Path: google.golang.org/api

Package: golang-google-api-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-google-go-cmp-dev (>= 0.5.6),
         golang-github-googleapis-gax-go-dev (>= 2.0.5),
         golang-go.opencensus-dev (>= 0.23.0),
         golang-golang-x-net-dev (>= 1:0.0+git20210503.7fd8e65),
         golang-golang-x-oauth2-dev (>= 0.0~git20211104.d3ed0bb),
         golang-golang-x-oauth2-google-dev (>= 0.0~git20211104.d3ed0bb),
         golang-golang-x-sync-dev (>= 0.0~git20210220.036812b),
         golang-golang-x-sys-dev (>= 0.0~git20211124.fe61309),
         golang-google-cloud-compute-metadata-dev (>= 0.56.0),
         golang-google-genproto-dev,
         golang-google-grpc-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Google APIs Client Library
 These are auto-generated Go libraries from the Google Discovery Service's JSON
 description files of the available "new style" Google APIs.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)%@PACKAGE@-$1.tar.gz%, \
      pagemangle=s%\"tarball_url\":\s*(\".*?\")%<a href=$1>%g, \
      downloadurlmangle=s%api.github.com/repos/(.+?/.+?)/tarball/(.*/v?@ANY_VERSION@)$%github.com/$1/archive/$2.tar.gz%" \
    https://api.github.com/repos/googleapis/google-api-go-client/tags \
    (?:.*?/)?v?@ANY_VERSION@

#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
#    https://github.com/googleapis/google-api-go-client/tags \
#    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## golang-google-api 0.214.0

=== debian/changelog ===
golang-google-api (0.214.0-2) unstable; urgency=medium

  * Source only upload.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 24 Feb 2026 14:48:45 +0100

golang-google-api (0.214.0-1) unstable; urgency=medium

  * Team upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 23 Feb 2026 10:56:54 +0100

golang-google-api (0.214.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * debian/control: build-deps on golang-google-cloud-dev (>= 0.115.0~).
  * debian/control: drop Priority: optional (now the default).
  * debian/control: Drop Rules-Requires-Root: no (now the default).
  * debian/control: bump to Standards-version to 4.7.3.
  * debian/control: clean up dependency.
  * debian/control: sync and sort dependency.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 16 Feb 2026 12:45:39 +0100

golang-google-api (0.214.0-1~exp0) experimental; urgency=medium

  * Team upload.
  * debian/watch: upgrade to version 5.
  * New upstream version 0.214.0. (Closes: #1059087)
    - Needed for golang-google-cloud 0.115. We may update to newer
      version later if other golang-google-* may also updated.
  * debian/control: update build-deps.
  * debian/rules: update path for service-account.json file.
  * Drop patches that fixed upstream.
  * drop-versioned-path.patch: added to make it fits with how
    golang-github-go-git-go-git-dev been packaged.
  * logger.patch: disable logger for golang-google-cloud package.
  * debian/rules: do not build binaries on ecp and discogen.
  * debian/rules: skip tests requires to create credentials or access
    credentials via Google Cloud environment.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 02 Feb 2026 15:30:20 +0100

golang-google-api (0.61.0-6) unstable; urgency=medium

  * Team upload
  * Add patch to fix FTBFS on 32bit systems (Closes: #1103120)

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 21 Apr 2025 15:06:13 +0000

golang-google-api (0.61.0-5) unstable; urgency=high

  * Team Upload
  * Fix deadlock in test after updating golang.org/x/sync to 0.7.0
    Closes: #1071038

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 13 May 2024 17:40:29 -0400

=== debian/control ===
Source: golang-google-api
Section: golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Anthony Fok <foka@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-go-git-go-git-dev,
               golang-github-google-go-cmp-dev (>= 0.5.6),
               golang-github-google-go-github-dev,
               golang-github-google-s2a-go-dev,
               golang-github-google-uuid-dev,
               golang-github-googleapis-enterprise-certificate-proxy-dev,
               golang-github-googleapis-gax-go-dev (>= 2.0.5),
               golang-golang-x-net-dev (>= 1:0.0+git20210503.7fd8e65),
               golang-golang-x-oauth2-dev (>= 0.0~git20211104.d3ed0bb),
               golang-golang-x-sync-dev (>= 0.0~git20210220.036812b),
               golang-golang-x-time-dev,
               golang-google-cloud-dev (>= 0.115.0~),
               golang-google-genproto-dev,
               golang-google-grpc-dev,
               golang-google-protobuf-dev,
               golang-opentelemetry-contrib-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-google-api
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-google-api.git
Homepage: https://google.golang.org/api
XS-Go-Import-Path: google.golang.org/api

Package: golang-google-api-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-go-git-go-git-dev,
         golang-github-google-go-cmp-dev (>= 0.5.6),
         golang-github-google-go-github-dev,
         golang-github-google-s2a-go-dev,
         golang-github-google-uuid-dev,
         golang-github-googleapis-enterprise-certificate-proxy-dev,
         golang-github-googleapis-gax-go-dev (>= 2.0.5),
         golang-golang-x-net-dev (>= 1:0.0+git20210503.7fd8e65),
         golang-golang-x-oauth2-dev (>= 0.0~git20211104.d3ed0bb),
         golang-golang-x-sync-dev (>= 0.0~git20210220.036812b),
         golang-golang-x-time-dev,
         golang-google-cloud-dev (>= 0.115.0~),
         golang-google-genproto-dev,
         golang-google-grpc-dev,
         golang-google-protobuf-dev,
         golang-opentelemetry-contrib-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Google APIs Client Library
 These are auto-generated Go libraries from the Google Discovery Service's JSON
 description files of the available "new style" Google APIs.

=== debian/rules ===
#!/usr/bin/make -f

# The example programs should not be compiled, and we are not interested in the
# generator itself either, only its output.
export DH_GOLANG_EXCLUDES := \
 google.golang.org/api/google-api-go-generator \
 google.golang.org/api/examples \
 google.golang.org/api/internal/ecp \
 google.golang.org/api/internal/kokoro/discogen \
 google.golang.org/api/internal/kokoro/synth/sendpr

export DH_GOLANG_INSTALL_EXTRA := internal/testdata/service-account.json

%:
	dh $@ --buildsystem=golang

# Skip tests requires to create credentials or access credentials via Google Cloud environment
override_dh_auto_test:
	dh_auto_test -- -short -test.skip="TestNewClient|TestDial|TestLogDirectPath"

=== debian/watch ===
Version: 5

Template: Github
Owner: googleapis
Project: google-api-go-client
Dversion-Mangle: auto
